#ifndef MIKROVALNA_H
#define MIKROVALNA_H

#include "mbed.h"
#include "TextLCD.h"

class Mikrovalna {                                                          //klasa 
    public:
    Mikrovalna(PinName startstopPin, PinName sekundePin, PinName snagaPin); //ime klase
    private:                                                                //u klasi se nalazi
    TextLCD lcd;                                                            //dislpej
    InterruptIn startstop, sekunde, snaga;                                  //interrupti preko tipkala
    Timer debounce_startstop,debounce_sekunde, debounce_snaga, timer;       //timeri za debounce tipkala i brojač za proteklo vrijeme
    Timeout iskljuci;                                                       //obrnuti timer za odbrojavanje unaprid poznato vrijeme
    int vrijeme, snaga_mod, uklj_isklj, i;                                  //pomoćne varijable tipa integer  
    
    void iskljucivanje();                                                   //prototip funkcije za isključivanje mikrovalne pečnice
    void pali_gasi();                                                       //prototip funkcije za paljenje/gašenje mikrovane pečnice
    void namjesti_vrijeme();                                                //prototip funkcije za namještanje vremena
    void namjesti_snagu();                                                  //prototip funkcije za namještanje snage
};
#endif